require 'socket'

Socket.tcp_server_loop(4481) do |connection|
  # receive urgent data inline with 'regular' data
  connection.setsockopt :SOCKET, :OOBINLINE, true

  # note that the read stops when it 
  # encounters urgent data
  connection.readpartial(1024) #=> 'foo'
  connection.readpartial(1024) #=> '!'
end


