
# Given an Array of connections.
connections = [<TCPSocket>, <TCPSocket>, <TCPSocket>]

# We enter an endless loop.
loop do
  # For each connection...
  connections.each do |conn|
    begin
      # Attempt to read from each connection in a non-blocking way,
      # processing any data received, otherwise trying the next
      # connection.
      data = conn.read_nonblock(4096)
      process(data)
    rescue Errno::EAGAIN
    end
  end
end

